• 欢迎访问南思工作室官方站点.
  • 文章内容如有失效请文章下留言,我们看到后会第一时间处理。
  • 如果您觉得本站非常有看点,那么赶紧使用Ctrl+D 收藏南思工作室吧。
  • 图片服务器和主服务器都挂了CDN,如有异常,请留言,我们会尽快处理。

解决WordPress更新时候权限不一致的问题

前端 nansi 6个月前 (05-27) 246次浏览 0个评论
文章目录[隐藏]

前言

开启了自己的个人博客,可是 WordPress 程序是在宝塔源码配置工具中一键配置的,并不是最新版本的 WordPress,在后续更新中突然遇到了 WordPress 权限不一致的问题,无法自动更新,查了很多办法终于解决,分享下。

解决办法

某些主机上 WordPress 更新,或者升级插件或者主题时会提示一个输入 FTP 信息的页面。
解决方案在你的 wp-config.php 中插入代码如下复制代码

define(FS_METHOD, direct);
define(FS_CHMOD_DIR, 0777);
define(FS_CHMOD_FILE, 0777);

这样类似 phpCloud 的服务器就 OK 了,如果这方法搞不定,就需要设置一下文件属性,以便 Apache/Nginx 可以有权限覆盖掉旧文件。
登录 SSH 输入以下命令代码如下复制代码

chmod -R 777 /root/wordpress
chown -R root /root/wordpress

其中 /root/wordpress 是你的 WP 安装目录。

OK,解决!


南思工作室 , 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权
转载请注明原文链接:解决 WordPress 更新时候权限不一致的问题
免责声明:本站一切资源仅用作交流学习,请勿用作商业或违法行为!如造成任何后果,本站概不负责!
喜欢 (17)
关于作者:
南思工作室管理员
发表我的评论
取消评论
表情 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址